Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity
Class EntityLexicalMeasure<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.EntityLexicalMeasure<E>

All Implemented Interfaces:
  Measure<Entity<E>>

    public class EntityLexicalMeasure<E>

extends Object
implements Measure<Entity<E>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`(package private) SetMeasure<String>` | `setMeasure`
`(package private) Measure<String>` | `stringMeasure`

Constructor Summary
`EntityLexicalMeasure()`
`EntityLexicalMeasure(Measure<String> measure)`
`EntityLexicalMeasure(SetMeasure<String> measure)`

Method Summary
`double` | `getDissim(Entity<E> e1, Entity<E> e2)`
`double` | `getMeasureValue(Entity<E> e1, Entity<E> e2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(Entity<E> e1, Entity<E> e2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringMeasure

    Measure<String> stringMeasure

### setMeasure

    SetMeasure<String> setMeasure

Constructor Detail

### EntityLexicalMeasure

    public EntityLexicalMeasure()

### EntityLexicalMeasure

    public EntityLexicalMeasure(SetMeasure<String> measure)

### EntityLexicalMeasure

    public EntityLexicalMeasure(Measure<String> measure)

Method Detail

### getMeasureValue

    public double getMeasureValue(Entity<E> e1,
                                  Entity<E> e2)

  Specified by:
    `getMeasureValue` in interface `Measure<Entity<E>>`

### getDissim

    public double getDissim(Entity<E> e1,
                            Entity<E> e2)

  Specified by:
    `getDissim` in interface `Measure<Entity<E>>`

### getSim

    public double getSim(Entity<E> e1,
                         Entity<E> e2)

  Specified by:
    `getSim` in interface `Measure<Entity<E>>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<Entity<E>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009